# Uses of Class
it.tdlight.jni.TdApi.MessageSource

## Uses of TdApi.MessageSource in it.tdlight.jni

Subclasses of TdApi.MessageSource in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.MessageSourceChatEventLog`
The message is from a chat event log.
`static final class`
`TdApi.MessageSourceChatHistory`
The message is from a chat history.
`static final class`
`TdApi.MessageSourceChatList`
The message is from a chat list or a forum topic list.
`static final class`
`TdApi.MessageSourceForumTopicHistory`
The message is from a forum topic history.
`static final class`
`TdApi.MessageSourceHistoryPreview`
The message is from chat, message thread or forum topic history preview.
`static final class`
`TdApi.MessageSourceMessageThreadHistory`
The message is from a message thread history.
`static final class`
`TdApi.MessageSourceNotification`
The message is from a notification.
`static final class`
`TdApi.MessageSourceOther`
The message is from some other source.
`static final class`
`TdApi.MessageSourceScreenshot`
The message was screenshotted; the source must be used only if the message content was visible during the screenshot.
`static final class`
`TdApi.MessageSourceSearch`
The message is from search results, including file downloads, local file list, outgoing document messages, calendar.
Fields in it.tdlight.jni declared as TdApi.MessageSource
Modifier and Type
Field
Description
`TdApi.MessageSource`
TdApi.ViewMessages.`source`
Source of the message view; pass null to guess the source based on chat open state.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageSource
Modifier
Constructor
Description
``
`ViewMessages(long chatId, long[] messageIds, TdApi.MessageSource source, boolean forceRead)`
Informs TDLib that messages are being viewed by the user.